# Article about NodeConstraints http://neos.readthedocs.io/en/stable/CreatingASite/NodeTypes/NodeConstraints.html

'GesagtGetan.Theme:ContentCollection':
  superTypes:
    'Neos.Neos:ContentCollection': true

'GesagtGetan.Theme:Mixin_MainContentCollection':
  abstract: true
  childNodes:
    main:
      type: 'GesagtGetan.Theme:ContentCollection'

'Neos.Neos:ContentCollection':
  constraints:
    nodeTypes:
      'GesagtGetan.Theme:SwiperSlide': false
